diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
index 2330788..5b181d1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
@@ -37,7 +37,7 @@ class EventTriggerAddTestCase(BaseTestGenerator):
         self.schema_id = self.schema_data['schema_id']
         self.extension_name = "postgres_fdw"
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:6]
+        self.func_name = "trigger_func_%s" % str(uuid.uuid4()).replace("-", "")
         self.db_user = self.server["username"]
         server_con = server_utils.connect_server(self, self.server_id)
         if not server_con["info"] == "Server connected.":
@@ -76,7 +76,7 @@ class EventTriggerAddTestCase(BaseTestGenerator):
             "eventfunname": "%s.%s" % (self.schema_name, self.func_name),
             "eventname": "DDL_COMMAND_END",
             "eventowner": self.db_user,
-            "name": "event_trigger_add_%s" % (str(uuid.uuid4())[1:6]),
+            "name": "event_trigger_add_%s" % (str(uuid.uuid4()).replace("-", "")),
             "providers": []
         }
         response = self.tester.post(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
index e8dd4ae..2ab679e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
@@ -38,9 +38,9 @@ class EventTriggerDeleteTestCase(BaseTestGenerator):
         self.extension_name = "postgres_fdw"
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.db_user = self.server["username"]
-        self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:6]
+        self.func_name = "trigger_func_%s" % str(uuid.uuid4()).replace("-", "")
         self.trigger_name = "event_trigger_delete_%s" % (
-            str(uuid.uuid4())[1:6])
+            str(uuid.uuid4()).replace("-", ""))
         server_con = server_utils.connect_server(self, self.server_id)
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
index 540dacf..8441bf7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
@@ -38,8 +38,8 @@ class EventTriggerGetTestCase(BaseTestGenerator):
         self.extension_name = "postgres_fdw"
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.db_user = self.server["username"]
-        self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:6]
-        self.trigger_name = "event_trigger_get_%s" % (str(uuid.uuid4())[1:6])
+        self.func_name = "trigger_func_%s" % str(uuid.uuid4()).replace("-", "")
+        self.trigger_name = "event_trigger_get_%s" % (str(uuid.uuid4()).replace("-", ""))
         server_con = server_utils.connect_server(self, self.server_id)
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
index d232cdb..f6d5b78 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
@@ -39,8 +39,8 @@ class EventTriggerPutTestCase(BaseTestGenerator):
         self.extension_name = "postgres_fdw"
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.db_user = self.server["username"]
-        self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:6]
-        self.trigger_name = "event_trigger_put_%s" % (str(uuid.uuid4())[1:6])
+        self.func_name = "trigger_func_%s" % str(uuid.uuid4()).replace("-", "")
+        self.trigger_name = "event_trigger_put_%s" % (str(uuid.uuid4()).replace("-", ""))
         server_con = server_utils.connect_server(self, self.server_id)
         if not server_con["info"] == "Server connected.":
             raise Exception("Could not connect to server to add resource "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
index e5972a1..b0b7f10 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
@@ -40,7 +40,7 @@ class ForeignServerAddTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_{0}".format(str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_{0}".format(str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
@@ -90,7 +90,7 @@ class ForeignServerAddTestCase(BaseTestGenerator):
                 }
             ],
             "fsrvowner": db_user,
-            "name": "test_fsrv_add_%s" % (str(uuid.uuid4())[1:6])
+            "name": "test_fsrv_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         }
         response = self.tester.post(
             self.url + str(utils.SERVER_GROUP) + '/' +
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
index 4dd6e2f..9a3b845 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
@@ -38,8 +38,8 @@ class ForeignServerDeleteTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "test_fdw_%s" % (str(uuid.uuid4())[1:6])
-        self.fsrv_name = "test_fsrv_%s" % (str(uuid.uuid4())[1:6])
+        self.fdw_name = "test_fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "test_fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
index e2ceb7e..66c9ec7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
@@ -38,8 +38,8 @@ class ForeignServerGetTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
-        self.fsrv_name = "test_fsrv_add_%s" % (str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "test_fsrv_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
index fa68200..5ef1862 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
@@ -39,8 +39,8 @@ class ForeignServerPutTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
-        self.fsrv_name = "test_fsrv_put_%s" % (str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "test_fsrv_put_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
@@ -82,4 +82,4 @@ class ForeignServerPutTestCase(BaseTestGenerator):
          and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
\ No newline at end of file
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
index 96955c6..73bda52 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
@@ -41,8 +41,8 @@ class UserMappingAddTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py
index b4896e4..08e16b3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_delete.py
@@ -40,8 +40,8 @@ class UserMappingDeleteTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py
index 50ebba8..e172ee0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_get.py
@@ -40,8 +40,8 @@ class UserMappingGetTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py
index cf077b4..2beef13 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_put.py
@@ -41,8 +41,8 @@ class UserMappingPutTestCase(BaseTestGenerator):
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
         self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
-        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4()).replace("-", ""))
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.extension_id = extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py
index cb758c6..a0475fc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py
@@ -34,7 +34,7 @@ class FDWDDeleteTestCase(BaseTestGenerator):
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
-        self.fdw_name = "fdw_{0}".format(str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_{0}".format(str(uuid.uuid4()).replace("-", ""))
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py
index 5a1bd93..dbe5003 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py
@@ -34,7 +34,7 @@ class FDWDGetTestCase(BaseTestGenerator):
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
-        self.fdw_name = "fdw_{0}".format(str(uuid.uuid4())[1:4])
+        self.fdw_name = "fdw_{0}".format(str(uuid.uuid4()).replace("-", ""))
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py
index bc12d39..e63a2d2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py
@@ -35,7 +35,7 @@ class FDWDPutTestCase(BaseTestGenerator):
         self.db_id = self.schema_data['db_id']
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         self.schema_name = self.schema_data['schema_name']
-        self.fdw_name = "fdw_put_%s".format(str(uuid.uuid4())[1:6])
+        self.fdw_name = "fdw_put_%s".format(str(uuid.uuid4()).replace("-", ""))
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py
index d8a9e0b..898e3d3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py
@@ -35,7 +35,7 @@ def get_fdw_data(schema_name, db_user):
             ],
         "fdwoptions": [],
         "fdwowner": db_user,
-        "name": "fdw_add_%s" % (str(uuid.uuid4())[1:6])
+        "name": "fdw_add_%s" % (str(uuid.uuid4()).replace("-", ""))
     }
     return data
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py
index ecd8e96..92ed187 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py
@@ -48,7 +48,7 @@ class LanguagesAddTestCase(BaseTestGenerator):
             "lanowner": db_user,
             "lanproc": "plpgsql_call_handler",
             "lanval": "fmgr_c_validator",
-            "name": "language_%s" % str(uuid.uuid4())[1:4],
+            "name": "language_%s" % str(uuid.uuid4()).replace("-", ""),
             "seclabels": [],
             "template_list":
                 [
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
index cb189bc..19f5f8e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
@@ -29,7 +29,7 @@ class LanguagesDeleteTestCase(BaseTestGenerator):
         self.server_id = self.server_data["server_id"]
         self.db_id = self.server_data['db_id']
         self.db_name = self.server_data["db_name"]
-        self.lang_name = "language_%s" % str(uuid.uuid4())[1:4]
+        self.lang_name = "language_%s" % str(uuid.uuid4()).replace("-", "")
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py
index c4f3829..7e11d4b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py
@@ -29,7 +29,7 @@ class LanguagesGetTestCase(BaseTestGenerator):
         self.server_id = self.server_data["server_id"]
         self.db_id = self.server_data['db_id']
         self.db_name = self.server_data["db_name"]
-        self.lang_name = "language_%s" % str(uuid.uuid4())[1:4]
+        self.lang_name = "language_%s" % str(uuid.uuid4()).replace("-", "")
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py
index 1df99ea..81e4ab7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py
@@ -30,7 +30,7 @@ class LanguagesPutTestCase(BaseTestGenerator):
         self.server_id = self.server_data["server_id"]
         self.db_id = self.server_data['db_id']
         self.db_name = self.server_data["db_name"]
-        self.lang_name = "language_%s" % str(uuid.uuid4())[1:4]
+        self.lang_name = "language_%s" % str(uuid.uuid4()).replace("-", "")
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
index 84b81e7..f7d63a4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
@@ -30,7 +30,7 @@ class CollationAddTestCase(BaseTestGenerator):
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
         # Change the db name, so that schema will create in newly created db
-        self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:6]
+        self.schema_name = "schema_get_%s" % str(uuid.uuid4()).replace("-", "")
         connection = utils.get_db_connection(self.db_name,
                                              self.server['username'],
                                              self.server['db_password'],
@@ -59,7 +59,7 @@ class CollationAddTestCase(BaseTestGenerator):
 
         data = {
             "copy_collation": "pg_catalog.\"C\"",
-            "name": "collation_add_%s" % str(uuid.uuid4())[1:6],
+            "name": "collation_add_%s" % str(uuid.uuid4()).replace("-", ""),
             "owner": self.server["username"],
             "schema": schema_name
         }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py
index 3729b87..1994c9e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_delete.py
@@ -30,7 +30,7 @@ class CollationDeleteTestCase(BaseTestGenerator):
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        coll_name = "collation_get_%s" % str(uuid.uuid4())[1:6]
+        coll_name = "collation_get_%s" % str(uuid.uuid4()).replace("-", "")
         self.collation = collation_utils.create_collation(self.server,
                                                           self.schema_name,
                                                           coll_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py
index 411cdeb..9275838 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_get.py
@@ -30,7 +30,7 @@ class CollationGetTestCase(BaseTestGenerator):
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        coll_name = "collation_get_%s" % str(uuid.uuid4())[1:6]
+        coll_name = "collation_get_%s" % str(uuid.uuid4()).replace("-", "")
         self.collation = collation_utils.create_collation(self.server,
                                                           self.schema_name,
                                                           coll_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
index b5f38a5..a96e0ff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
@@ -31,7 +31,7 @@ class CollationPutTestCase(BaseTestGenerator):
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-        coll_name = "collation_get_%s" % str(uuid.uuid4())[1:6]
+        coll_name = "collation_get_%s" % str(uuid.uuid4()).replace("-", "")
         self.collation = collation_utils.create_collation(self.server,
                                                           self.schema_name,
                                                           coll_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
index cb4dbc4..c2d80d8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
@@ -59,7 +59,7 @@ class DomainAddTestCase(BaseTestGenerator):
             "is_tlength": True,
             "max_val": 2147483647,
             "min_val": 1,
-            "name": "domain_add_%s" % (str(uuid.uuid4())[1:6]),
+            "name": "domain_add_%s" % (str(uuid.uuid4()).replace("-", "")),
             "owner": self.server["username"],
             "seclabels": [],
             "typdefault": "1",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
index 21f9248..2d3021d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_delete.py
@@ -32,7 +32,7 @@ class DomainDeleteTestCase(BaseTestGenerator):
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.schema_id = self.schema_info["schema_id"]
-        self.domain_name = "domain_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.domain_name = "domain_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.domain_info = domain_utils.create_domain(self.server,
                                                       self.db_name,
                                                       self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
index 17d215a..671efef 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_get.py
@@ -32,7 +32,7 @@ class DomainGetTestCase(BaseTestGenerator):
         self.schema_info = parent_node_dict["schema"][-1]
         self.schema_name = self.schema_info["schema_name"]
         self.schema_id = self.schema_info["schema_id"]
-        self.domain_name = "domain_get_%s" % (str(uuid.uuid4())[1:6])
+        self.domain_name = "domain_get_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.domain_info = domain_utils.create_domain(self.server,
                                                       self.db_name,
                                                       self.schema_name,
